Skip to main content
POST
/
conversations
Create a conversation
curl --request POST \
  --url https://api.veryfront.com/conversations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "type": "chat",
  "title": "<string>",
  "metadata": {}
}
'
{
  "id": "<string>",
  "type": "<string>",
  "status": "<string>",
  "messageCount": 123,
  "createdBy": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "projectId": "<string>",
  "title": "<string>",
  "summary": "<string>",
  "currentNode": "<string>",
  "lastMessageAt": "<string>",
  "metadata": null,
  "agentId": "<string>",
  "runtimeTargetKind": "<string>",
  "runtimeTargetEnvironmentId": "<string>",
  "runtimeTargetBranchId": "<string>",
  "archivedAt": "<string>"
}

Authorizations

Authorization
string
header
required

Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf__" - create via /api-keys endpoint.

Body

application/json
projectId
string<uuid>
type
enum<string>
default:chat
Available options:
chat,
agent_task,
support,
channel,
project_agent
title
string
Maximum string length: 500
metadata
object

Response

Created conversation

id
string
required
type
string
required
status
string
required
messageCount
number
required
createdBy
string | null
required
createdAt
string
required
updatedAt
string
required
projectId
string | null
title
string | null
summary
string | null
currentNode
string | null
lastMessageAt
string | null
metadata
unknown
agentId
string | null
runtimeTargetKind
string | null
runtimeTargetEnvironmentId
string | null
runtimeTargetBranchId
string | null
archivedAt
string | null